Summary:	Terminal emulator for X
Summary(pl.UTF-8):	Emulator terminala dla X
Name:		xterm
Version:	300
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	ftp://invisible-island.net/xterm/%{name}-%{version}.tgz
# Source0-md5:	6adc7c7f39ab2a71fd83747049d60358
Source1:	XTerm.ad-pl
Source2:	%{name}.desktop
Source3:	%{name}.png
Source4:	%{name}.1x.ko
Patch0:		%{name}-tinfo.patch
URL:		http://invisible-island.net/xterm/
BuildRequires:	libutempter-devel
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXft-devel
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xterm program is a terminal emulator for the X Window System. It
provides DEC VT102/VT220 (VTxxx) and Tektronix 4014 compatible
terminals for programs that cannot use the window system directly.

This version implements ISO/ANSI colors using the "new" color model
(i.e., background color erase). It also implements most of the control
sequences for VT220.

%description -l pl.UTF-8
Program xterm to emulator terminala dla X Window System. Udostępnia
terminale zgodne z DEC VT102/VT220 (VTxxx) oraz Tektronix 4014 dla
programów nie potrafiących używać bezpośrednio systemu okien.

Ta wersja implementuje kolory ISO/ANSI przy użyciu "nowego" modelu
kolorów (tzn. usuwania kolorem tła). Implementuje także większość
sekwencji sterujących VT220.

%prep
%setup -q
%patch0 -p1

%build
# don't run autoconf, modified version of autoconf is required
CPPFLAGS="-I/usr/include/ncurses %{rpmcppflags}"
%configure \
	--enable-256-color \
	--enable-wide-chars \
	--with-app-defaults=%{_datadir}/X11/app-defaults \
	--with-utempter

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

echo '.so xterm.1' > $RPM_BUILD_ROOT%{_mandir}/man1/uxterm.1

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/X11/pl/app-defaults/XTerm
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}/xterm.desktop
install -D %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}/xterm.png
install -D %{SOURCE4} $RPM_BUILD_ROOT%{_mandir}/ko/man1/xterm.1
echo '.so xterm.1' > $RPM_BUILD_ROOT%{_mandir}/ko/man1/uxterm.1

# cleanup unpackaged icons
%{__rm} $RPM_BUILD_ROOT%{_pixmapsdir}/{filled-xterm,mini.xterm,xterm-color,xterm}_*x*.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README README.i18n xterm.log.html
%attr(755,root,root) %{_bindir}/resize
%attr(755,root,root) %{_bindir}/xterm
%attr(755,root,root) %{_bindir}/uxterm
%attr(755,root,root) %{_bindir}/koi8rxterm
%{_datadir}/X11/app-defaults/UXTerm
%{_datadir}/X11/app-defaults/UXTerm-color
%{_datadir}/X11/app-defaults/XTerm
%{_datadir}/X11/app-defaults/XTerm-color
%{_datadir}/X11/app-defaults/KOI8RXTerm
%{_datadir}/X11/app-defaults/KOI8RXTerm-color
%lang(pl) %{_datadir}/X11/pl/app-defaults/XTerm
%{_desktopdir}/xterm.desktop
%{_pixmapsdir}/xterm.png
%{_mandir}/man1/resize.1*
%{_mandir}/man1/xterm.1*
%{_mandir}/man1/uxterm.1*
%{_mandir}/man1/koi8rxterm.1*
%lang(ko) %{_mandir}/ko/man1/xterm.1*
%lang(ko) %{_mandir}/ko/man1/uxterm.1*
%changelog
* Thu Dec 05 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xterm.git;a=log;h=master

* Thu Dec 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 0484bea
- updated to 300

* Thu Nov 28 2013 Jakub Bogusz <qboosh@pld-linux.org> 556f6ea
- updated to 298

* Wed Sep 11 2013 Jakub Bogusz <qboosh@pld-linux.org> 9d162e0
- updated to 297

* Fri Jul 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 6e9076b
- updated to 296

* Wed Jul 10 2013 Jakub Bogusz <qboosh@pld-linux.org> e62aa85
- updated to 295

* Tue Jun 04 2013 Lukasz Glebicki <blekot@pld-linux.org> 19061d4
- up to 293

* Sat May 11 2013 Jakub Bogusz <qboosh@pld-linux.org> 94e6294
- check-files cleanup

* Wed May 01 2013 Lukasz Glebicki <blekot@pld-linux.org> 4621dc7
- up to 292
- added TODO (some files are not packaged)

* Fri Mar 01 2013 Jakub Bogusz <qboosh@pld-linux.org> 30238a1
- updated 291

* Fri Feb 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 5d84c51
- updated to 290

* Wed Feb 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 6405690
- updated to 289

* Sat Jan 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 0ac5633
- updated to 288

* Sun Jan 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 8b0853a
- updated to 287

* Tue Nov 06 2012 Jakub Bogusz <qboosh@pld-linux.org> bce8ba6
- updated to 286

* Fri Oct 26 2012 Jakub Bogusz <qboosh@pld-linux.org> 4cb9a7c
- updated to 285

* Tue Oct 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 050eba6
- updated to 284

* Fri Oct 12 2012 Jakub Bogusz <qboosh@pld-linux.org> ea3201a
- updated to 283

* Sat Sep 29 2012 Adam Gołębiowski <adamg@pld-linux.org> 0fba07e
- updated to 282

* Thu Jun 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 1219fb0
- updated to 281

* Tue May 22 2012 Jakub Bogusz <qboosh@pld-linux.org> f8d8949
- updated to 279

